Bug 274401 - machine hibernates directly after resuming
machine hibernates directly after resuming
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
7
All All
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-02 05:17 EDT by Bill C. Riemers
Modified: 2013-03-05 22:51 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:18:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill C. Riemers 2007-09-02 05:17:12 EDT
Description of problem:

I have my pm settings set to "sleep" the computer after 45 minutes.  If I come
back in a reasonable amount of time and press the power button to wakeup the
computer, it works normally (for the most part).  However, if I wait many hours
and then try to wake-up my computer, it issues an audio alarm and then
immediately suspends to disk.

There is a message flash on the screen indicating what causes the audio alarm,
but I have less than half a second to read it.  That is just enough time for me
to see there is a message, but not to read the contents.

I suspect the computer may think the UPS power supply battery is dead or such,
since that is what Windows for the first few seconds when I resume from
hibernate.  However, I have my power management settings on my desktop to
"shutdown" on a low battery, not to suspend to disk, so this explanation doesn't
really work.

Sometimes the instant suspend to disk fails.  Then the message I see indicates
hibernate has failed.  I am not sure if that is the same message that occurs
otherwise.


Version-Release number of selected component (if applicable):


How reproducible:
Always.

Steps to Reproduce:
1. Set powermanagemnt to sleep on AC after 45 minutes or so.
2. Leave the computer on at night.
3. In the morning attempt to resume.

  
Actual results:

Computer immediately after resuming, computer issues an audio alarm and supends
to disk.

Expected results:

Computer should resume no matter how long it has been suspended to ram, without
attempting to suspend to disk.


Additional info:

On AC Power settings:
Put computer to sleep when inactive for: 45 minutes
Put display to sleep when inactive for: 20 minutes

On UPS Power settings:
Put computer to sleep when inactive for: never
Put display to sleep when inactive for: 23 minutes
When UPS power is low: Do nothing
When UPS power is critical low: Shutdown

General:
Buttons: When the power button is pressed: Shutdown
Notification Area: Only display on icon when a battery is present
Extras: Use sound to notify in event of an error
Comment 1 Till Maas 2007-12-24 08:01:08 EST
I guess this is not a pm-utils issue (the framework for suspending and
hibernating), but a issue in the tool that evaluates your timing settings. I
guess it is gnome-power-manager.
Comment 2 Bug Zapper 2008-05-14 10:12:09 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2008-06-16 22:18:00 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.